$XENODOT_DEBUG = false

$XENODOT_ENV ||= ENV['XENODOT_ENV']
unless $XENODOT_ENV
  if ENV['RAILS_ENV']
    $XENODOT_ENV = 'xenodot_' + ENV['RAILS_ENV']
  else
    $XENODOT_ENV = 'xenodot_development'
  end
end

puts "Using #{$XENODOT_ENV}"

$REFERENCED_TYPES = {
  'node'      => ['n', 'xenodot.node_head'],
  'uri'       => ['u', 'xenodot.uri'],
  'qname'     => ['q', 'xenodot.qname'],
}

$INLINED_TYPES = {
  'string'    => ['s', ['text']],
  'binary'    => ['b', ['bytea']],
  'long'      => ['l', ['int8']],
  'double'    => ['d', ['double precision']],
  'date'      => ['t', ['timestamp with time zone']],
  'boolean'   => ['1', ['boolean']],
  'path'      => ['p', ['text']],
}