require 'rubygems'
gem     'ruby-postgres'
require 'postgres'
require 'open-uri'
require 'iconv'
require 'thread'
require 'xenodot/dom/data_types'
require 'xenodot/dom/query'
require 'xenodot/dom/node'
load    File.join(File.dirname(__FILE__), '..', 'config', 'environment.rb')
require 'xenodot/backend/client_side'

if __FILE__ == $0
  require 'xenodot/server'
  
  Xenodot::Server::Cron.start
  
  h = Mongrel::HttpServer.new("0.0.0.0", "3000")
  h.register("/", Xenodot::Server::MongrelHandler.new)
  begin
    h.run.join
  ensure
    puts "Shutting down!"
    Xenodot::Server::Cron.stop
  end
    
end