class StringIndexing < Xenodot::Migration

  def self.up
    execute "SET search_path = public;"
    execute File.new(File.join(File.dirname(__FILE__), '..', 'tsearch2.sql')).read
    execute 'SET search_path = "$user",public;'

    
#    create_table 'xenodot.property_string_index', :id => false do |t|
#      t.column :prop_id,  :int4,      :null => false
#      t.column :vector,   :tsvector,  :null => false
#    end
    
#    execute <<-SQL
#      alter table xenodot.property_string_index add foreign key(prop_id) references xenodot.property on delete cascade initially deferred;
#      create unique index prop_reference on xenodot.property_string_index(prop_id);
#      create index google on xenodot.property_string_index using gist(vector);
#    SQL

#    execute %q{
#      create or replace function xenodot.trigger_property_string_index() returns trigger as $pgsql$
#        declare
#          idx tsvector;
#        begin
#          if (NEW.value).type = xenodot.string_type() then
#            idx := to_tsvector('simple', xenodot.string_value((NEW.value).content));
#            update xenodot.property_string_index set vector = idx where prop_id = NEW.id;
#            if not found then
#              insert into xenodot.property_string_index(prop_id, vector) values(NEW.id, idx);
#            end if;
#          end if;
#          return null;
#        end;
#      $pgsql$ language plpgsql;
      
#      create trigger search_vector after insert or update on xenodot.property for each row execute procedure xenodot.trigger_property_string_index();
#    }
  end

  def self.down
    execute File.new(File.join(File.dirname(__FILE__), '..', 'uninstall_tsearch2.sql')).read
  end

end