#
# Copyright (C) 2008  Olaf Märker
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

module PiVM
  class Worker	
	
	def initialize
		fork do
			#rd.close
			work
		end
	end
	
	def work
		p "Worker started" if $DEBUG
		
		#each subprocess need it's own connection
		Xenodot::Backend::Database.remove_connection
		Xenodot::Backend::Database.connection
		#Xenodot::Backend.sql('set client_min_messages to info;', [], [])
		
#		Backend.sql("select pivm.profile_start()",[],[]) if @profile
		Xenodot::Backend.sql('select pivm.vm_init();', [], [])
		process_id = nil
		process = nil
		count = 0
# 		until Time.now.tv_sec >= @starttime do
# 			sleep 1
# 		end
		#puts "started #{$$} #{@starttome} #{@endtime}"
		while true do 
			process ||= PiVM::Queue.dequeue
			if process
				process = PiVM.handle_process(process)
			else
				sleep 1
			end
			#puts "step #{$$}"
			#res = Xenodot::Backend.sql('select * from pivm.vm_next_step($1, $2, $3)', [process_id, 0, 'notexisting'],[:int4, :int4, :text], :output => :hashed, :count => 1)
			#process_id = res['process_id']
		end
		#Queue.enqueue(Node[process_id]) if process_id
# 		if @profile
# 			filename = (Pathname.new(Dir.tmpdir) + "profile-#{$$}.txt").to_s
# 			Backend.sql("select pivm.profile_stop($1)",[filename],[:text])
# 			puts "Profile is here: #{filename}"
# 		end
# 		writer.puts count
# 		writer.close
	end
  end
end
