describe PiVM::PiParser do

	before(:each) do 
		reset_pivm_database
		PiVM.init
	end

	it "should parse pi from String" do
		pi = "agent N1155(e1154,e1163)=e1154.(t.0 | t.0 | t.0 | ´e1163.0 | N1155(e1154,e1163))"
		PiVM::PiParser.parse_pi(pi)
		p PiVM.sandbox.to_s
		
	end

	it "should parse complex pi from file" do
		file = File.join(File.dirname(__FILE__),"pi_spec.pi")
		root = PiVM::PiParser.parse_file(file)
		$stdout.print(root.to_s)
		
	end

end