describe PiVM do

	before(:each) do 
		reset_pivm_database
		PiVM.init
		PiVM.load(File.join(File.dirname(__FILE__),"pi_spec.xml"))
	end

	it "should find a defined agent by name" do
		agent = PiVM.agent(:P)
		agent[:name].should == 'P'
	end
end

describe PiVM::Agent do
	
	before(:each) do 
		reset_pivm_database
		PiVM.init
		PiVM.load(File.join(File.dirname(__FILE__),"pi_spec.xml"))
	end
	
	it "schould return its first activity on start" do
		agent = PiVM.agent(:P)
		act = agent.start
		act.type.should == "fresh"
		act[:names].should == 'a'
	end
end